Cyberduck Mountain Duck CLI

#8081 closed defect (duplicate)

Immediately quits the connection

Reported by: gbotica Owned by: dkocher
Priority: normal Milestone: 4.6.2
Component: ftp Version: 4.4.5
Severity: major Keywords:
Cc: Architecture: Intel
Platform:

Description (last modified by dkocher)

I have used Cyberduck for months (registered user) and it's worked well, but now for some reason whenever I try to connect to FTP, FTPS or S3, it always connects and then immediately disconnects.

I have tried reinstalling the application, but result is the same.

example from log:

220 ProFTPD 1.3.4c Server (ProFTPD) [64.207.188.195]
AUTH TLS
234 AUTH TLS successful
USER matt
331 Password required for matt
PASS ********
230 User matt logged in
PBSZ 0
200 PBSZ 0 successful
PROT P
200 Protection set to Private
FEAT
211-Features:
 MDTM
 MFMT
 TVFS
 UTF8
 AUTH TLS
 MFF modify;UNIX.group;UNIX.mode;
 MLST modify*;perm*;size*;type*;unique*;UNIX.group*;UNIX.mode*;UNIX.owner*;
 LANG en-US*
 PBSZ
 PROT
 REST STREAM
 SIZE
211 End
OPTS UTF8 ON
200 UTF8 set to on
SYST
215 UNIX Type: L8
NOOP
200 NOOP command successful
QUIT
221 Goodbye.

===

and another, same result, connects and then closes the connection

220 ProFTPD 1.3.5 Server (ProFTPD) [103.4.138.178]
AUTH TLS
234 AUTH TLS successful
USER wpnadmin56
331 Password required for wpnadmin56
PASS ********
230 User wpnadmin56 logged in
PBSZ 0
200 PBSZ 0 successful
PROT P
200 Protection set to Private
FEAT
211-Features:
 TVFS
 MFMT
 SIZE
 PROT
 CCC
 PBSZ
 AUTH TLS
 MFF modify;UNIX.group;UNIX.mode;
 REST STREAM
 MLST modify*;perm*;size*;type*;unique*;UNIX.group*;UNIX.mode*;UNIX.owner*;
 UTF8
 LANG en-US*
 EPRT
 EPSV
 MDTM
 SSCN
211 End
OPTS UTF8 ON
200 UTF8 set to on
SYST
215 UNIX Type: L8
NOOP
200 NOOP command successful
QUIT
221 Goodbye.

Please help.

Thanks

Attachments (1)

cyberduck.log (194.6 KB) - added by gbotica on Jul 16, 2014 at 11:41:41 PM.
cyberduck.log

Download all attachments as: .zip

Change History (13)

comment:1 Changed on Jul 13, 2014 at 6:41:25 AM by dkocher

  • Component changed from core to ftp
  • Description modified (diff)
  • Owner set to dkocher

comment:2 follow-up: Changed on Jul 15, 2014 at 10:45:57 AM by dkocher

Can you find any related output in the system.log (/Applications/Utilities/Console.app)?

comment:3 Changed on Jul 15, 2014 at 10:46:20 AM by dkocher

Please attach the file cyberduck.log in the application support directory.

comment:4 in reply to: ↑ 2 Changed on Jul 16, 2014 at 11:39:36 PM by gbotica

Replying to dkocher:

Can you find any related output in the system.log (/Applications/Utilities/Console.app)?

Can you provide more details on where to locate this? (not sure where that path is?)

Changed on Jul 16, 2014 at 11:41:41 PM by gbotica

cyberduck.log

comment:5 Changed on Jul 17, 2014 at 9:33:08 AM by dkocher

  • Summary changed from Can't connect to any servers -- Cyberduck quits the connection to Immediately quits the connection

comment:6 Changed on Jul 28, 2014 at 1:14:54 PM by dkocher

Do you get a warning prompt about a Unsecured FTP connection?

comment:7 Changed on Jul 29, 2014 at 12:09:41 AM by gbotica

I rebooted Cyberduck today to check. I was prompted to updates, which I did. Now on 4.5.1 14915.

Problem is now resolved. I can connect fine to S3 and FTPs repos -- thanks for your help.

comment:8 Changed on Jul 29, 2014 at 8:51:36 AM by dkocher

  • Milestone set to 4.5.1
  • Resolution set to fixed
  • Status changed from new to closed

comment:9 Changed on Jan 15, 2015 at 4:09:01 AM by crazyjat

  • Resolution fixed deleted
  • Status changed from closed to reopened

I am on the latest version, 4.6.1 (16121), and am experiencing this issue. No error prompt, just connects and immediately quits for no reason. Log is below

220 blank FTP server ready.
AUTH TLS
234 AUTH TLS successful
USER blank
331 Password required for blank
PASS 
230 User blank logged in
PBSZ 0
200 PBSZ 0 successful
PROT P
200 Protection set to Private
FEAT
211-Features
 MDTM
 MFMT
 TVFS
 UTF8
 AUTH TLS
 MFF modify;UNIX.group;UNIX.mode;
 MLST modify*;perm*;size*;type*;unique*;UNIX.group*;UNIX.mode*;UNIX.owner*;
 PBSZ
 PROT
 REST STREAM
 LANG en-US.UTF-8*
 SIZE
211 End
OPTS UTF8 ON
200 UTF8 set to on
SYST
215 UNIX Type: L8
QUIT
221 Goodbye.

This is been working fine for me for years. Over the last year Cyberduck has gotten less and less stable. With the previous version I couldn't even refresh my server view. I had to reconnect every time. Now I can't even connect. I guess I'll need to go back to filezilla (at least it's stable)

Last edited on Jan 15, 2015 at 7:38:46 AM by dkocher (previous) (diff)

comment:10 Changed on Jan 15, 2015 at 7:38:29 AM by dkocher

Please update to the latest snapshot build available.

comment:11 Changed on Jan 15, 2015 at 7:39:03 AM by dkocher

  • Milestone changed from 4.5.1 to 4.6.2
  • Resolution set to duplicate
  • Status changed from reopened to closed

comment:12 Changed on Jan 15, 2015 at 7:40:29 AM by dkocher

Duplicate for #8437.

Note: See TracTickets for help on using tickets.
swiss made software